> ## Documentation Index
> Fetch the complete documentation index at: https://yuno-3979e326-fix-create-subscription-card-usage.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Capture Authorization

<Warning>
  Do not execute a capture while another is in progress. Wait for the current operation to complete before starting a new one.
</Warning>

This request captures a payment that was previously authorized. This action is required to finalize a payment when an authorization was created with the capture option set `false`. Depending on the payment provider, the capture could be partial (including multiple captures) or total.

Note that this request requires an `X-Idempotency-Key`. Check the [Authentication](/reference/authentication#idempotency) page for more information.


## OpenAPI

````yaml /openapi/payments/capture-authorization.json POST /payments/{payment_id}/transactions/{transaction_id}/capture
openapi: 3.1.0
info:
  title: payment-api-refundcancel-payment
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
    sec2: []
paths:
  /payments/{payment_id}/transactions/{transaction_id}/capture:
    post:
      summary: Capture Authorization
      operationId: capture-authorization
      parameters:
        - name: payment_id
          in: path
          description: The unique identifier of the payment (UUID, 36 chars).
          schema:
            type: string
          required: true
        - name: transaction_id
          in: path
          description: The unique identifier of the transaction (UUID, 36 chars)
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - merchant_reference
                - reason
                - amount
              properties:
                merchant_reference:
                  type: string
                  description: >-
                    Identification of the payment transaction defined by the
                    merchant (MAX 255; MIN 3)
                amount:
                  type: object
                  description: Specifies the amount object for capturing.
                  required:
                    - currency
                    - value
                  properties:
                    currency:
                      type: string
                      description: >-
                        The currency used to make the payment. For a full list
                        of currency codes, see [Country
                        reference](/reference/country-reference) (MAX 3; MIN 3;
                        ISO 4217).
                    value:
                      type: number
                      description: The payment amount (multiple of 0.0001).
                      format: float
                reason:
                  type: string
                  description: >-
                    Indicating the reason for the capture. For example:
                    PRODUCT_CONFIRMED and REQUESTED_BY_CUSTOMER.
                additional_data:
                  type: object
                  description: Additional data to complement the payment capture
                  properties:
                    order:
                      type: object
                      description: Specifies the order object.
                      properties:
                        shipping_amount:
                          type: number
                          description: >-
                            The shipping amount of the order (multiple of
                            0.0001)
                          format: float
                        fee_amount:
                          type: number
                          description: The fee amount of the order (multiple of 0.0001)
                          format: float
                        items:
                          type: array
                          description: Specifies the items array of object.
                          items:
                            properties:
                              id:
                                type: string
                                description: >-
                                  The unique identifier of the item (MAX 255;
                                  MIN 3).
                              name:
                                type: string
                                description: The name of the item (MAX 255; MIN 3).
                              quantity:
                                type: integer
                                description: The quantity of the item.
                                format: int32
                              unit_amount:
                                type: number
                                description: >-
                                  The unit amount of the item (multiple of
                                  0.0001).
                                format: float
                              category:
                                type: string
                                description: >-
                                  The category of the item. Check the [Item
                                  category
                                  reference](/reference/items-category-list).
                                enum:
                                  - art
                                  - baby
                                  - coupons
                                  - beauty_&_personal_care
                                  - donations
                                  - computing
                                  - books
                                  - grocery_&_gourmet_food
                                  - cameras
                                  - video_games
                                  - television
                                  - car_electronics
                                  - electronics
                                  - automotive
                                  - toys_&_games
                                  - musical_instruments
                                  - handmade
                                  - garden_&_outdoor
                                  - entertainment
                                  - industrial_&_scientific
                                  - fashion
                                  - games
                                  - pet_supplies
                                  - home
                                  - musical
                                  - phones
                                  - services
                                  - learnings
                                  - tickets
                                  - travels
                                  - virtual_goods
                                  - others
                              brand:
                                type: string
                                description: The brand of the item (MAX 255; MIN 3).
                              sku_code:
                                type: string
                                description: >-
                                  The stock keeping unit (SKU) of the item (MAX
                                  255; MIN 3).
                              manufacture_part_number:
                                type: string
                                description: The manufacture part number of the item
                            required:
                              - id
                              - name
                              - quantity
                              - unit_amount
                            type: object
                    airline:
                      type: object
                      description: Specifies the airline object.
                      properties:
                        pnr:
                          type: string
                          description: Passenger name record (MAX 10; MIN 1).
                        legs:
                          type: array
                          description: Specifies the legs array of objects.
                          items:
                            properties:
                              departure_airport:
                                type: string
                                description: >-
                                  IATA code. See http://www.iata.org (MAX 3; MIN
                                  3).
                              departure_datetime:
                                type: string
                                description: >-
                                  The departure date and time in UTC time ([ISO
                                  8601](https://en.wikipedia.org/wiki/ISO_8601),
                                  MAX 27; MIN 27).
                                format: date-time
                              departure_airport_timezone:
                                type: string
                                description: Airport timezone (MAX 6; MIN 6).
                              arrival_airport:
                                type: string
                                description: >-
                                  IATA airport code. See http://www.iata.org
                                  (MAX 3; MIN 3).
                              carrier_code:
                                type: string
                                description: >-
                                  IATA carrier code. See http://www.iata.org
                                  (MAX 2; MIN 2).
                              flight_number:
                                type: string
                                description: >-
                                  The flight number assigned by the airline
                                  carrier (MAX 5; MIN 1).
                              fare_basis_code:
                                type: string
                                description: >-
                                  Code base rate provides specific information
                                  on the fare in addition to the class service,
                                  both required for booking (MAX 15; MIN 1).
                              fare_class_code:
                                type: string
                                description: >-
                                  The fare class code of the airline (MAX 1; MIN
                                  1). The values can be a letter (A-Z) but may
                                  vary depending on the airline's definition.
                                  Check the [Airline information
                                  reference](/reference/airline-information#fare-class-code).
                                enum:
                                  - F
                                  - FR
                                  - B
                                  - CR
                                  - 'Y'
                                  - YD
                              base_fare:
                                type: number
                                description: >-
                                  The transaction amount, excluding taxes and
                                  fees, the smallest unit of currency
                                  (multipleOf 0.0001).
                                format: float
                              base_fare_currency:
                                type: string
                                description: >-
                                  The currency used to transaction amount (MAX
                                  3; MIN 3; [ISO 4217](country-reference)).
                              stopover_code:
                                type: string
                                description: >-
                                  1-letter code that indicates whether the
                                  passenger is allowed to make a stopover. Only
                                  two types of characters are allowed: O:
                                  Stopover allowed (the letter “O”, not zero) /
                                  X: Stopover not allowed. (MAX 1; MIN 1)
                            required:
                              - departure_airport
                              - departure_datetime
                              - departure_airport_timezone
                              - arrival_airport
                              - carrier_code
                              - flight_number
                              - fare_basis_code
                              - fare_class_code
                            type: object
                        passengers:
                          type: array
                          description: >-
                            Specifies the passengers array of objects associated
                            to the tickets.
                          items:
                            properties:
                              first_name:
                                type: string
                                description: The passenger first name (MAX 255; MIN 3).
                              last_name:
                                type: string
                                description: The passenger last name (MAX 255; MIN 3)
                              middle_name:
                                type: string
                                description: The passenger middle name (MAX 255; MIN 3).
                              type:
                                type: string
                                description: >-
                                  The passenger type (MAX 1; MIN 1). Check the
                                  [Airline information
                                  reference](/reference/airline-information#passenger-type).
                                enum:
                                  - A
                                  - C
                                  - I
                              date_of_birth:
                                type: string
                                description: >-
                                  The passenger date of birth in the YYYY-MM-DD
                                  (MAX 10; MIN 10).
                                format: date
                              nationality:
                                type: string
                                description: >-
                                  The passenger nationality (MAX 2; MIN 2; [ISO
                                  3166-1](country-reference)).
                                enum:
                                  - AR
                                  - BO
                                  - BR
                                  - CL
                                  - CO
                                  - CR
                                  - EC
                                  - SV
                                  - GT
                                  - HN
                                  - MX
                                  - NI
                                  - PA
                                  - PY
                                  - PE
                                  - US
                                  - UY
                              document:
                                type: object
                                description: Specifies the passengers' document object.
                                properties:
                                  document_number:
                                    type: string
                                    description: >-
                                      Document number for passenger (MAX 40; MIN
                                      3).
                                  document_type:
                                    type: string
                                    description: >-
                                      The passenger's document type (MAX 6, MIN
                                      2; ([Country
                                      reference](country-reference))).
                                    enum:
                                      - DNI
                                      - CI
                                      - LC
                                      - LE
                                      - CUIT
                                      - CUIL
                                      - PAS
                                      - CPF
                                      - RG
                                      - CNH
                                      - CNPJ
                                      - RUT
                                      - RUN
                                      - CC
                                      - CE
                                      - NIT
                                      - DUI
                                      - PIC
                                      - DPI
                                      - IFR
                                      - INE
                                      - CP
                                      - RFC
                                      - CURP
                                      - CIP
                                      - CIC
                                      - CUI
                                      - RUC
                                      - ''
                                  country:
                                    type: string
                                    description: >-
                                      Country where the document was issued (MAX
                                      2; MIN 2; [ISO
                                      3166-1](country-reference)).
                                    enum:
                                      - AR
                                      - BO
                                      - BR
                                      - CL
                                      - CO
                                      - CR
                                      - EC
                                      - SV
                                      - GT
                                      - HN
                                      - MX
                                      - NI
                                      - PA
                                      - PY
                                      - PE
                                      - US
                                      - UY
                              loyalty_number:
                                type: string
                                description: Number of passenger loyalty program.
                              loyalty_tier:
                                type: string
                                description: >-
                                  Tier of passenger loyalty program. Check the
                                  [Airline information
                                  reference](/reference/airline-information#loyalty-tier).
                                enum:
                                  - '1'
                                  - '2'
                                  - '3'
                              phone:
                                type: object
                                description: Specifies the phone object for the passenger.
                            type: object
                        tickets:
                          type: array
                          description: >-
                            Specifies the array of ticket objects associated to
                            the passengers.
                          items:
                            properties:
                              ticket_number:
                                type: string
                                description: Ticket number (MAX 14; MIN 1).
                              e_ticket:
                                type: boolean
                                description: Is this an e-ticket?  (true) (false).
                              restricted:
                                type: boolean
                                description: >-
                                  Indicates if the ticket is refunfable or not
                                  (true/false)
                              total_fare_amount:
                                type: number
                                description: >-
                                  Total fare amount in the smallest unit of
                                  currency (multiple of 0.0001).
                                format: float
                              total_tax_amount:
                                type: number
                                description: >-
                                  Total taxes amount in the smallest unit of
                                  currency (multiple of 0.0001).
                                format: float
                              total_fee_amount:
                                type: number
                                description: >-
                                  Total fee amount in the smallest unit of
                                  currency (multiple of 0.0001).
                                format: float
                              issue:
                                type: object
                                description: Specifies the issue object.
                                properties:
                                  carrier_prefix_code:
                                    type: string
                                    description: >-
                                      Issuing or Validating carrier. This is the
                                      AWB Prefix (Air waybill) 3-numeric code
                                      (MAX 3; MIN 3).
                                  travel_agent_code:
                                    type: string
                                    description: >-
                                      Code of the travel agent issuing the
                                      ticket (MAX 9; MIN 8).
                                  travel_agent_name:
                                    type: string
                                    description: >-
                                      The name under which the point of sale
                                      appears on the agency list or franchise
                                      name (MAX 32; MIN 1).
                                  date:
                                    type: string
                                    description: Ticket issuing date (MAX 27; MIN 27).
                                    format: date-time
                                  address:
                                    type: string
                                    description: >-
                                      Address of the agent whose sold the ticket
                                      (MAX 255; MIN 3).
                                  city:
                                    type: string
                                    description: >-
                                      City name of the agent whose sold the
                                      ticket (MAX 255; MIN 3).
                                  country:
                                    type: string
                                    description: >-
                                      Country code alpha 2 where the ticket was
                                      issued (MAX 2; MIN 2; [ISO
                                      3166-1](country-reference)).
                                    enum:
                                      - AR
                                      - BO
                                      - BR
                                      - CL
                                      - CO
                                      - CR
                                      - EC
                                      - SV
                                      - GT
                                      - HN
                                      - MX
                                      - NI
                                      - PA
                                      - PY
                                      - PE
                                      - US
                                      - UY
                            type: object
                    seller_details:
                      type: object
                      description: Specifies the seller's details object.
                      properties:
                        name:
                          type: string
                          description: The seller's legal name (MAX 255; MIN 3).
                        email:
                          type: string
                          description: The seller's e-mail (MAX 255; MIN 3).
                        reference:
                          type: number
                          description: The seller's identification code (MAX 255; MIN 3).
                          format: float
                        website:
                          type: string
                          description: The seller's website URL (MAX 255; MIN 3).
                        industry:
                          type: string
                          description: >-
                            The seller's industry (MAX 235; MIN 1) For more
                            information access the [Industry category reference
                            page](/reference/industry-category-list).
                        merchant_category_code:
                          type: string
                          description: MCC - The merchant category code (MAX 235; MIN 1).
                        country:
                          type: string
                          description: >-
                            The seller's country (MAX 255; MIN 3; [ISO
                            3166-1](/reference/country-reference)).
                          enum:
                            - AR
                            - BO
                            - BR
                            - CL
                            - CO
                            - CR
                            - EC
                            - SV
                            - GT
                            - HN
                            - MX
                            - NI
                            - PA
                            - PY
                            - PE
                            - US
                            - UY
                            - ''
                        document:
                          type: object
                          description: Specifies the document object of the seller.
                          properties:
                            document_number:
                              type: string
                              description: The seller's document number (MAX 40; MIN 3).
                            document_type:
                              type: string
                              description: >-
                                The seller's document type (MAX 6, MIN 2;
                                [Document Type
                                List](/reference/country-reference)).
                              enum:
                                - DNI
                                - CI
                                - LC
                                - LE
                                - CUIT
                                - CUIL
                                - PAS
                                - CPF
                                - RG
                                - CNH
                                - CNPJ
                                - RUT
                                - RUN
                                - CC
                                - CE
                                - NIT
                                - DUI
                                - PIC
                                - DPI
                                - IFR
                                - INE
                                - CP
                                - RFC
                                - CURP
                                - CIP
                                - CIC
                                - CUI
                                - RUC
                                - ''
                        phone:
                          type: object
                          description: Specifies the seller's phone number object.
                          properties:
                            country_code:
                              type: string
                              description: >-
                                The country calling code of the seller's phone
                                (MAX 3; MIN 1). Check the [Country
                                reference](country-reference) to see the phone
                                codes.
                            number:
                              type: string
                              description: >-
                                The seller's phone number, without the country
                                code (MAX 32; MIN 1).
                        address:
                          type: object
                          description: Specifies the seller's address object.
                          properties:
                            address_line_1:
                              type: string
                              description: >-
                                The primary address line of the seller (MAX 255;
                                MIN 3).
                            address_line_2:
                              type: string
                              description: >-
                                The secondary billing address line of the seller
                                (MAX 255; MIN 3).
                            city:
                              type: string
                              description: >-
                                The city considered for the seller's address
                                (MAX 255; MIN 3).
                            country:
                              type: string
                              description: >-
                                The country considered for the seller's address
                                (MAX 2; MIN 2; [ISO
                                3166-1](/reference/country-reference)).
                              enum:
                                - AR
                                - BO
                                - BR
                                - CL
                                - CO
                                - CR
                                - EC
                                - SV
                                - GT
                                - HN
                                - MX
                                - NI
                                - PA
                                - PY
                                - PE
                                - US
                                - UY
                                - ''
                            state:
                              type: string
                              description: >-
                                The state considered for the seller's address
                                (MAX 255; MIN 3).
                            zip_code:
                              type: string
                              description: >-
                                The zipcode considered for the seller's address
                                (MAX 11; MIN 4).
                simplified_mode:
                  type: boolean
                  description: >-
                    Determines whether Yuno should automatically attempt to
                    capture a payment after an initial error or decline. When
                    set to `true`, Yuno will retry the process if the first
                    attempt fails. By default, this is set to `false`. Access
                    [Transaction
                    Retries](https://docs.y.uno/docs/transaction-retries) for
                    more details.
            examples:
              Full Capture:
                value:
                  amount:
                    currency: USD
                    value: 30000
                  description: Confirmed
                  reason: PRODUCT_CONFIRMED
                  merchant_reference: AAB01-432245
              Card Direct (with Airline Data):
                value:
                  merchant_reference: EJEMPLO_DE_REFERENCIA
                  amount:
                    currency: USD
                    value: '2000'
                  reason: PRODUCT_CONFIRMED
                  additional_data:
                    airline:
                      pnr: ABC123
                      legs:
                        - departure_airport: JFK
                          departure_datetime: '2023-10-31T01:30:00.000-05:00'
                          departure_airport_timezone: GMT-05
                          arrival_airport: LAX
                          carrier_code: AA
                          flight_number: AA348
                          fare_basis_code: 'Y'
                          fare_class_code: S
                          base_fare: 18000
                          base_fare_currency: USD
                          stopover_code: O
                      passengers:
                        - first_name: JOHN
                          last_name: DOE
                          middle_name: STEPHEN
                          type: A
                          date_of_birth: '1998-01-01'
                          nationality: US
                          document:
                            document_number: '123456789'
                            document_type: PASSPORT
                            country: US
                          loyalty_number: '79250001'
                          loyalty_tier: DIAMOND
                      tickets:
                        - ticket_number: AA0001
                          e_ticket: true
                          restricted: false
                          total_fare_amount: 20000
                          total_tax_amount: 18000
                          total_fee_amount: 1000
                          issue:
                            carrier_prefix_code: AA
                            travel_agent_code: A104121
                            travel_agent_name: TRAVELPRO
                            date: '2023-10-31T01:30:00.000-05:00'
                            address: 123 Main Street
                            city: NEW YORK
                            country: US
                            zip_code: '10001'
              Partial Capture:
                value:
                  amount:
                    currency: USD
                    value: 3000
                  description: Confirmed Partially
                  reason: PRODUCT_CONFIRMED
                  merchant_reference: AAB01-432245
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Full Capture:
                  value:
                    id: 89fd7fd0-951d-4335-ad1b-ef899a79630d
                    type: CAPTURE
                    status: SUCCEEDED
                    category: CARD
                    amount:
                      captured: 0
                      currency: USD
                      refunded: 0
                      value: 30000
                    merchant_reference: AAB01-432245
                    created_at: '2024-06-06T14:26:41.535489Z'
                    updated_at: '2024-06-06T14:26:41.615608Z'
                    provider_data:
                      id: YUNO_TEST_PAYMENT_GW
                      transaction_id: 1173513e-2422-4ba0-ba40-fd568a4904f9
                      account_id: 493e9374-510a-4201-9e09-de669d75f256
                      status: SUCCEEDED
                      status_detail: ''
                      response_message: Transaction successful
                      response_code: ''
                      iso8583_response_code: '00'
                      iso8583_response_message: Approved or completed successfully
                      raw_response: null
                      third_party_transaction_id: null
                      third_party_account_id: null
                    response_code: SUCCEEDED
                    response_message: Transaction successful
                    payment:
                      id: af170f9d-e8c1-47e4-a988-25535e0f88a1
                      account_id: ''
                      description: Test
                      country: US
                      status: SUCCEEDED
                      sub_status: CAPTURED
                      merchant_order_id: '0000023'
                      created_at: '2024-06-06T14:26:22.933194Z'
                      updated_at: '2024-06-06T14:26:41.655119Z'
                      amount:
                        captured: 30000
                        currency: USD
                        refunded: 0
                        value: 30000
                      additional_data:
                        airline: null
                        order: null
                        seller_details: null
                CARD DIRECT (with Airline Data):
                  value:
                    id: 230292dd-b3e9-41e4-ae09-0a54e2f7a6d4
                    type: CAPTURE
                    status: SUCCEEDED
                    category: CARD
                    amount:
                      currency: USD
                      value: 20000
                      refunded: 0
                      captured: 0
                    merchant_reference: EJEMPLO_DE_REFERENCIA
                    created_at: '2023-04-27T02:51:52.213075Z'
                    updated_at: '2023-04-27T02:51:52.284381Z'
                    provider_data:
                      id: YUNO_TEST_PAYMENT_GW
                      transaction_id: a9a47e01-2dc1-4d5f-af23-11ab7164cd03
                      account_id: 493e9374-510a-4201-9e09-de669d75f256
                      status: SUCCEEDED
                      status_detail: ''
                      response_message: Transaction successful
                      response_code: ''
                      iso8583_response_code: '00'
                      iso8583_response_message: Approved or completed successfully
                      raw_response: null
                      third_party_transaction_id: null
                      third_party_account_id: null
                    response_code: SUCCEEDED
                    response_message: Transaction successful
                    payment:
                      id: 637dffe9-5d18-4cdc-a5bf-95b8cd12bbd5
                      account_id: ''
                      description: SUCCESSFUL
                      country: US
                      status: SUCCEEDED
                      sub_status: CAPTURED
                      merchant_order_id: Order_id
                      created_at: '2023-04-27T02:51:24.470834Z'
                      updated_at: '2023-04-27T02:51:52.312297Z'
                      amount:
                        value: 20000
                        captured: 20000
                        refunded: 0
                        currency: USD
                      additional_data:
                        airline:
                          pnr: ABC123
                          legs:
                            - departure_airport: BOG
                              departure_datetime: '2023-10-31T01:30:00.000-05:00'
                              departure_airport_timezone: GMT-05
                              arrival_airport: BOM
                              carrier_code: PR
                              flight_number: AV348
                              fare_basis_code: 'Y'
                              fare_class_code: S
                              base_fare: 18000
                              base_fare_currency: USD
                              stopover_code: O
                          passengers:
                            - first_name: JOHN
                              last_name: DOE
                              middle_name: STEPHEN
                              type: A
                              date_of_birth: '1998-01-01'
                              nationality: US
                              document:
                                document_type: SSN
                                document_number: 123-45-6789
                              country: null
                              loyalty_number: '79250001'
                              loyalty_tier: DIAMOND
                          tickets:
                            - ticket_number: BRB0001
                              e_ticket: true
                              restricted: false
                              total_fare_amount: 20000
                              total_tax_amount: 18000
                              total_fee_amount: 1000
                              issue:
                                carrier_prefix_code: '134'
                                travel_agent_code: A104121
                                travel_agent_name: AEROVIAJES
                                date: '2023-10-31T01:30:00.000-05:00'
                                address: 123 Main Street
                                city: New York
                                country: US
                                zip_code: '10001'
                        order: null
                        seller_details: null
                Partial Capture:
                  value:
                    id: c8104f4b-30d6-476f-8e6b-49daa110e31f
                    type: CAPTURE
                    status: SUCCEEDED
                    category: CARD
                    amount:
                      captured: 0
                      currency: USD
                      refunded: 0
                      value: 3000
                    merchant_reference: AAB01-432245
                    created_at: '2024-06-06T14:27:53.594183Z'
                    updated_at: '2024-06-06T14:27:53.705858Z'
                    provider_data:
                      id: YUNO_TEST_PAYMENT_GW
                      transaction_id: a9a47e01-2dc1-4d5f-af23-11ab7164cd03
                      account_id: 493e9374-510a-4201-9e09-de669d75f256
                      status: SUCCEEDED
                      status_detail: ''
                      response_message: Transaction successful
                      response_code: ''
                      iso8583_response_code: '00'
                      iso8583_response_message: Approved or completed successfully
                      raw_response: null
                      third_party_transaction_id: null
                      third_party_account_id: null
                    response_code: SUCCEEDED
                    response_message: Transaction successful
                    payment:
                      id: 60915b59-e403-4c00-8404-15ececa9b5dd
                      account_id: ''
                      description: Test
                      country: US
                      status: SUCCEEDED
                      sub_status: PARTIALLY_CAPTURED
                      merchant_order_id: '0000023'
                      created_at: '2024-06-06T14:27:22.8355Z'
                      updated_at: '2024-06-06T14:27:53.74127Z'
                      amount:
                        captured: 3000
                        currency: USD
                        refunded: 0
                        value: 30000
                      additional_data:
                        airline: null
                        order: null
                        seller_details: null
              schema:
                oneOf:
                  - title: Full Capture
                    type: object
                    properties:
                      id:
                        type: string
                        example: 89fd7fd0-951d-4335-ad1b-ef899a79630d
                      type:
                        type: string
                        example: CAPTURE
                      status:
                        type: string
                        example: SUCCEEDED
                      category:
                        type: string
                        example: CARD
                      amount:
                        type: object
                        properties:
                          captured:
                            type: integer
                            example: 0
                            default: 0
                          currency:
                            type: string
                            example: USD
                          refunded:
                            type: integer
                            example: 0
                            default: 0
                          value:
                            type: integer
                            example: 30000
                            default: 0
                      merchant_reference:
                        type: string
                        example: AAB01-432245
                      created_at:
                        type: string
                        example: '2024-06-06T14:26:41.535489Z'
                      updated_at:
                        type: string
                        example: '2024-06-06T14:26:41.615608Z'
                      provider_data:
                        type: object
                        properties:
                          id:
                            type: string
                            example: YUNO_TEST_PAYMENT_GW
                          transaction_id:
                            type: string
                            example: 1173513e-2422-4ba0-ba40-fd568a4904f9
                          account_id:
                            type: string
                            example: 493e9374-510a-4201-9e09-de669d75f256
                          status:
                            type: string
                            example: SUCCEEDED
                          status_detail:
                            type: string
                            example: ''
                          response_message:
                            type: string
                            example: Transaction successful
                          response_code:
                            type: string
                            example: ''
                          iso8583_response_code:
                            type: string
                            example: '00'
                          iso8583_response_message:
                            type: string
                            example: Approved or completed successfully
                          raw_response: {}
                          third_party_transaction_id: {}
                          third_party_account_id: {}
                      response_code:
                        type: string
                        example: SUCCEEDED
                      response_message:
                        type: string
                        example: Transaction successful
                      payment:
                        type: object
                        properties:
                          id:
                            type: string
                            example: af170f9d-e8c1-47e4-a988-25535e0f88a1
                          account_id:
                            type: string
                            example: ''
                          description:
                            type: string
                            example: Test
                          country:
                            type: string
                            example: US
                          status:
                            type: string
                            example: SUCCEEDED
                          sub_status:
                            type: string
                            example: CAPTURED
                          merchant_order_id:
                            type: string
                            example: '0000023'
                          created_at:
                            type: string
                            example: '2024-06-06T14:26:22.933194Z'
                          updated_at:
                            type: string
                            example: '2024-06-06T14:26:41.655119Z'
                          amount:
                            type: object
                            properties:
                              captured:
                                type: integer
                                example: 30000
                                default: 0
                              currency:
                                type: string
                                example: USD
                              refunded:
                                type: integer
                                example: 0
                                default: 0
                              value:
                                type: integer
                                example: 30000
                                default: 0
                          additional_data:
                            type: object
                            properties:
                              airline: {}
                              order: {}
                              seller_details: {}
                  - title: CARD DIRECT (with Airline Data)
                    type: object
                    properties:
                      id:
                        type: string
                        example: 230292dd-b3e9-41e4-ae09-0a54e2f7a6d4
                      type:
                        type: string
                        example: CAPTURE
                      status:
                        type: string
                        example: SUCCEEDED
                      category:
                        type: string
                        example: CARD
                      amount:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          value:
                            type: integer
                            example: 20000
                            default: 0
                          refunded:
                            type: integer
                            example: 0
                            default: 0
                          captured:
                            type: integer
                            example: 0
                            default: 0
                      merchant_reference:
                        type: string
                        example: EJEMPLO_DE_REFERENCIA
                      created_at:
                        type: string
                        example: '2023-04-27T02:51:52.213075Z'
                      updated_at:
                        type: string
                        example: '2023-04-27T02:51:52.284381Z'
                      provider_data:
                        type: object
                        properties:
                          id:
                            type: string
                            example: YUNO_TEST_PAYMENT_GW
                          transaction_id:
                            type: string
                            example: a9a47e01-2dc1-4d5f-af23-11ab7164cd03
                          account_id:
                            type: string
                            example: 493e9374-510a-4201-9e09-de669d75f256
                          status:
                            type: string
                            example: SUCCEEDED
                          status_detail:
                            type: string
                            example: ''
                          response_message:
                            type: string
                            example: Transaction successful
                          response_code:
                            type: string
                            example: ''
                          iso8583_response_code:
                            type: string
                            example: '00'
                          iso8583_response_message:
                            type: string
                            example: Approved or completed successfully
                          raw_response: {}
                          third_party_transaction_id: {}
                          third_party_account_id: {}
                      response_code:
                        type: string
                        example: SUCCEEDED
                      response_message:
                        type: string
                        example: Transaction successful
                      payment:
                        type: object
                        properties:
                          id:
                            type: string
                            example: 637dffe9-5d18-4cdc-a5bf-95b8cd12bbd5
                          account_id:
                            type: string
                            example: ''
                          description:
                            type: string
                            example: SUCCESSFUL
                          country:
                            type: string
                            example: US
                          status:
                            type: string
                            example: SUCCEEDED
                          sub_status:
                            type: string
                            example: CAPTURED
                          merchant_order_id:
                            type: string
                            example: Order_id
                          created_at:
                            type: string
                            example: '2023-04-27T02:51:24.470834Z'
                          updated_at:
                            type: string
                            example: '2023-04-27T02:51:52.312297Z'
                          amount:
                            type: object
                            properties:
                              value:
                                type: integer
                                example: 20000
                                default: 0
                              captured:
                                type: integer
                                example: 20000
                                default: 0
                              refunded:
                                type: integer
                                example: 0
                                default: 0
                              currency:
                                type: string
                                example: USD
                          additional_data:
                            type: object
                            properties:
                              airline:
                                type: object
                                properties:
                                  pnr:
                                    type: string
                                    example: ABC123
                                  legs:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        departure_airport:
                                          type: string
                                          example: BOG
                                        departure_datetime:
                                          type: string
                                          example: '2023-10-31T01:30:00.000-05:00'
                                        departure_airport_timezone:
                                          type: string
                                          example: GMT-05
                                        arrival_airport:
                                          type: string
                                          example: BOM
                                        carrier_code:
                                          type: string
                                          example: PR
                                        flight_number:
                                          type: string
                                          example: AV348
                                        fare_basis_code:
                                          type: string
                                          example: 'Y'
                                        fare_class_code:
                                          type: string
                                          example: S
                                        base_fare:
                                          type: integer
                                          example: 18000
                                          default: 0
                                        base_fare_currency:
                                          type: string
                                          example: USD
                                        stopover_code:
                                          type: string
                                          example: O
                                  passengers:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        first_name:
                                          type: string
                                          example: JOHN
                                        last_name:
                                          type: string
                                          example: DOE
                                        middle_name:
                                          type: string
                                          example: STEPHEN
                                        type:
                                          type: string
                                          example: A
                                        date_of_birth:
                                          type: string
                                          example: '1998-01-01'
                                        nationality:
                                          type: string
                                          example: US
                                        document:
                                          type: object
                                          properties:
                                            document_type:
                                              type: string
                                              example: SSN
                                            document_number:
                                              type: string
                                              example: 123-45-6789
                                        country: {}
                                        loyalty_number:
                                          type: string
                                          example: '79250001'
                                        loyalty_tier:
                                          type: string
                                          example: DIAMOND
                                  tickets:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        ticket_number:
                                          type: string
                                          example: BRB0001
                                        e_ticket:
                                          type: boolean
                                          example: true
                                          default: true
                                        restricted:
                                          type: boolean
                                          example: false
                                          default: true
                                        total_fare_amount:
                                          type: integer
                                          example: 20000
                                          default: 0
                                        total_tax_amount:
                                          type: integer
                                          example: 18000
                                          default: 0
                                        total_fee_amount:
                                          type: integer
                                          example: 1000
                                          default: 0
                                        issue:
                                          type: object
                                          properties:
                                            carrier_prefix_code:
                                              type: string
                                              example: '134'
                                            travel_agent_code:
                                              type: string
                                              example: A104121
                                            travel_agent_name:
                                              type: string
                                              example: AEROVIAJES
                                            date:
                                              type: string
                                              example: '2023-10-31T01:30:00.000-05:00'
                                            address:
                                              type: string
                                              example: 123 Main Street
                                            city:
                                              type: string
                                              example: New York
                                            country:
                                              type: string
                                              example: US
                                            zip_code:
                                              type: string
                                              example: '10001'
                              order: {}
                              seller_details: {}
                  - title: Partial Capture
                    type: object
                    properties:
                      id:
                        type: string
                        example: c8104f4b-30d6-476f-8e6b-49daa110e31f
                      type:
                        type: string
                        example: CAPTURE
                      status:
                        type: string
                        example: SUCCEEDED
                      category:
                        type: string
                        example: CARD
                      amount:
                        type: object
                        properties:
                          captured:
                            type: integer
                            example: 0
                            default: 0
                          currency:
                            type: string
                            example: USD
                          refunded:
                            type: integer
                            example: 0
                            default: 0
                          value:
                            type: integer
                            example: 3000
                            default: 0
                      merchant_reference:
                        type: string
                        example: AAB01-432245
                      created_at:
                        type: string
                        example: '2024-06-06T14:27:53.594183Z'
                      updated_at:
                        type: string
                        example: '2024-06-06T14:27:53.705858Z'
                      provider_data:
                        type: object
                        properties:
                          id:
                            type: string
                            example: YUNO_TEST_PAYMENT_GW
                          transaction_id:
                            type: string
                            example: a9a47e01-2dc1-4d5f-af23-11ab7164cd03
                          account_id:
                            type: string
                            example: 493e9374-510a-4201-9e09-de669d75f256
                          status:
                            type: string
                            example: SUCCEEDED
                          status_detail:
                            type: string
                            example: ''
                          response_message:
                            type: string
                            example: Transaction successful
                          response_code:
                            type: string
                            example: ''
                          iso8583_response_code:
                            type: string
                            example: '00'
                          iso8583_response_message:
                            type: string
                            example: Approved or completed successfully
                          raw_response: {}
                          third_party_transaction_id: {}
                          third_party_account_id: {}
                      response_code:
                        type: string
                        example: SUCCEEDED
                      response_message:
                        type: string
                        example: Transaction successful
                      payment:
                        type: object
                        properties:
                          id:
                            type: string
                            example: 60915b59-e403-4c00-8404-15ececa9b5dd
                          account_id:
                            type: string
                            example: ''
                          description:
                            type: string
                            example: Test
                          country:
                            type: string
                            example: US
                          status:
                            type: string
                            example: SUCCEEDED
                          sub_status:
                            type: string
                            example: PARTIALLY_CAPTURED
                          merchant_order_id:
                            type: string
                            example: '0000023'
                          created_at:
                            type: string
                            example: '2024-06-06T14:27:22.8355Z'
                          updated_at:
                            type: string
                            example: '2024-06-06T14:27:53.74127Z'
                          amount:
                            type: object
                            properties:
                              captured:
                                type: integer
                                example: 3000
                                default: 0
                              currency:
                                type: string
                                example: USD
                              refunded:
                                type: integer
                                example: 0
                                default: 0
                              value:
                                type: integer
                                example: 30000
                                default: 0
                          additional_data:
                            type: object
                            properties:
                              airline: {}
                              order: {}
                              seller_details: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      x-default: <Your public-api-key>
      name: public-api-key
    sec1:
      type: apiKey
      in: header
      x-default: <Your private-secret-key>
      name: private-secret-key
    sec2:
      type: apiKey
      in: header
      x-default: <Your X-Idempotency-Key>
      name: X-Idempotency-Key

````